diff -cNr ivtools-0.6.orig/src/InterViews/style.c ivtools-0.6/src/InterViews/style.c
*** ivtools-0.6.orig/src/InterViews/style.c	Fri Feb 28 08:41:32 1997
--- ivtools-0.6/src/InterViews/style.c	Wed Jan 28 20:32:13 1998
***************
*** 40,45 ****
--- 40,48 ----
  #include <OS/string.h>
  #include <OS/ustring.h>
  #include <ctype.h>
+ #ifdef JIV
+ #include <libc.h>
+ #endif /* JIV */
  
  declarePtrList(StyleList,Style)
  implementPtrList(StyleList,Style)
***************
*** 1032,1037 ****
--- 1035,1146 ----
      }
      return v.case_insensitive_equal("on") || v.case_insensitive_equal("true");
  }
+ 
+ #ifdef JIV
+ const char PSPreambleDefault[] = "";
+ 
+ struct pscmpfdata {
+     const char* fn;
+     const char* fa;
+     const char* fk;
+ } PSCmpfDefault[] = {
+     {"Courier-Bold-Gothic", "Courier-Bold", "GothicBBB-Medium-EUC-H"},
+     {"Courier-Ryumin", "Courier", "Ryumin-Light-EUC-H"},
+     {"Courier-Gothic", "Courier", "GothicBBB-Medium-EUC-H"},
+     {"Times-Ryumin", "Times-Roman", "Ryumin-Light-EUC-H"},
+     {"Times-Gothic", "Times-Roman", "GothicBBB-Medium-EUC-H"},
+     {"Helvetica-Gothic", "Helvetica", "GothicBBB-Medium-EUC-H"},
+     {"Times-Ryumin-Italic", "Times-Italic", "Ryumin-Light-EUC-H-Slant"},
+     {"Times-Bold-Gothic-Italic", "Times-BoldItalic",
+      "GothicBBB-Medium-EUC-H-Slant"},
+     {0, 0, 0}
+ };
+     
+ struct pssfdata {
+     const char* fn;
+     const char* fo;
+ } PSSfDefault[] = {
+     {"Ryumin-Light-EUC-H-Slant", "Ryumin-Light-EUC-H"},
+     {"GothicBBB-Medium-EUC-H-Slant", "GothicBBB-Medium-EUC-H"},
+     {0, 0}
+ };
+     
+ 
+ void Style::initCompositeFont() const {
+     String value;
+ 
+     /// Initialize for InterViews-Composite-Font
+     char str[64], compfontname[256], truefontname1[256],
+ 	 truefontname2[256], fontstyle[256];
+     int i = 1;
+     sprintf(str ,"compositeFont%d", i);
+     while (find_attribute(String(str), value)) {
+ 	switch(sscanf(value.string(), "%s%s%s%s", compfontname,
+ 		      truefontname1, truefontname2, fontstyle)) {
+ 	  case 3:	// Composite Font description without style
+ 	    new CompositeFont(compfontname, truefontname1, truefontname2);
+ 	    break;
+ 	  case 4:	// Composite Font description without style
+ 	    new CompositeFont(compfontname, truefontname1,
+ 			      truefontname2, fontstyle);
+ 	    break;
+ 	  default:
+ 	    // Error description
+ 	    break;
+ 	}
+ 	sprintf(str, "compositeFont%d", ++i);
+     }
+ 
+     /// Initialize for Unidraw-PostScript-Composite-Font
+     if (find_attribute(String("PSCompositeFontPreamble"), value)) {
+ 	PSCompositeFont::setPreamble(value.string());
+     } else {
+ 	PSCompositeFont::setPreamble(PSPreambleDefault);
+     }
+     i = 1;
+     sprintf(str ,"PSCompositeFont%d", i);
+     while (find_attribute(String(str), value)) {
+ 	switch(sscanf(value.string(), "%s%s%s", compfontname,
+ 		      truefontname1, truefontname2)) {
+ 	  case 3:	// Composite Font description without style
+ 	    new PSCompositeFont(compfontname, truefontname1, truefontname2);
+ 	    break;
+ 	  default:
+ 	    // Error description
+ 	    break;
+ 	}
+ 	sprintf(str, "PSCompositeFont%d", ++i);
+     }
+     if (i == 1) {
+ 	for (i = 0; PSCmpfDefault[i].fn != 0; i++) {
+ 	    new PSCompositeFont(PSCmpfDefault[i].fn,
+ 				PSCmpfDefault[i].fa,
+ 				PSCmpfDefault[i].fk);
+ 	}
+     }
+ 
+     /// Initialize for Unidraw-PostScript-Slant-Font
+     char slantfontname[256], truefontname[256];
+     i = 1;
+     sprintf(str ,"PSSlantFont%d", i);
+     while (find_attribute(String(str), value)) {
+ 	switch(sscanf(value.string(), "%s%s", slantfontname, truefontname)) {
+ 	  case 2:	// Slant Font description without style
+ 	    new PSSlantFont(slantfontname, truefontname);
+ 	    break;
+ 	  default:
+ 	    // Error description
+ 	    break;
+ 	}
+ 	sprintf(str, "PSSlantFont%d", ++i);
+     }
+     if (i == 1) {
+ 	for (i = 0; PSSfDefault[i].fn != 0; i++) {
+ 	    new PSSlantFont(PSSfDefault[i].fn, PSSfDefault[i].fo);
+ 	}
+     }
+ }
+ #endif /* JIV */
  
  boolean Style::value_is_on(const char* s) const {
      return value_is_on(String(s));
diff -cNr ivtools-0.6.orig/src/OverlayUnidraw/grayraster.c ivtools-0.6/src/OverlayUnidraw/grayraster.c
*** ivtools-0.6.orig/src/OverlayUnidraw/grayraster.c	Fri Jan 23 02:43:54 1998
--- ivtools-0.6/src/OverlayUnidraw/grayraster.c	Thu Jan 29 01:29:04 1998
***************
*** 29,35 ****
  
  #include <OS/math.h>
  #include <math.h>
! #ifdef __svr4__ 
  #include <nan.h>
  #endif
  
--- 29,35 ----
  
  #include <OS/math.h>
  #include <math.h>
! #if defined(__svr4__) || defined(linux) 
  #include <nan.h>
  #endif
  
diff -cNr ivtools-0.6.orig/src/UniIdraw/idcatalog.c ivtools-0.6/src/UniIdraw/idcatalog.c
*** ivtools-0.6.orig/src/UniIdraw/idcatalog.c	Wed Jan 21 10:10:24 1998
--- ivtools-0.6/src/UniIdraw/idcatalog.c	Wed Jan 28 22:08:31 1998
***************
*** 200,206 ****
--- 200,210 ----
      if (_psversion < PSV_NONROTATED && t != nil && t->Rotated90()) {
          Transformer identity;
          *t = identity;
+ #ifndef JIV_EXTEND
          g->Translate(0.0, -8.5*ivinches);
+ #else
+ 	g->Translate(0.0, -8.27*ivinches);
+ #endif
          g->Rotate(90.0, 0.0, 0.0);
          comp->Bequeath();
      }
diff -cNr ivtools-0.6.orig/src/UniIdraw/idcomp.c ivtools-0.6/src/UniIdraw/idcomp.c
*** ivtools-0.6.orig/src/UniIdraw/idcomp.c	Wed Jan 21 10:08:58 1998
--- ivtools-0.6/src/UniIdraw/idcomp.c	Wed Jan 28 22:13:23 1998
***************
*** 87,97 ****
  }
  
  void PSIdraw::Prologue (ostream& out) {
      out << "%%BeginIdrawPrologue\n";
      ArrowHeader(out);
      out << "%%EndIdrawPrologue\n\n";
! 
!     PostScriptView::Prologue(out);
  }
  
  void PSIdraw::GridSpacing (ostream& out) {
--- 87,103 ----
  }
  
  void PSIdraw::Prologue (ostream& out) {
+     PostScriptView::Prologue(out);
+ #ifndef PS_FIX
      out << "%%BeginIdrawPrologue\n";
+ #endif
      ArrowHeader(out);
+ #ifndef PS_FIX
      out << "%%EndIdrawPrologue\n\n";
! #else
!     out << "end\n";
!     out << "%%EndProcSet\n";
! #endif
  }
  
  void PSIdraw::GridSpacing (ostream& out) {
***************
*** 103,116 ****
--- 109,140 ----
  }
  
  void PSIdraw::ConstProcs (ostream& out) {
+ #ifndef PS_FIX
      int arrowWidth = round(ARROWWIDTH*ivpoints);
      int arrowHeight = round(ARROWHEIGHT*ivpoints);
+ #endif
  
+ #ifdef PS_FIX
+     out << "%%BeginProcSet: idraw 3 0\n";
+ #endif
+ 
+ #ifndef PS_FIX
      out << "/arrowHeight " << arrowHeight << " def\n";
      out << "/arrowWidth " << arrowWidth << " def\n\n";
+ #endif
  
      PostScriptViews::ConstProcs(out);
  }
+ 
+ #ifdef PS_FIX
+ void PSIdraw::IdrawDictPreamble (ostream& out) {
+     int arrowWidth = round(ARROWWIDTH*points);
+     int arrowHeight = round(ARROWHEIGHT*points);
+ 
+     out << "/arrowHeight " << arrowHeight << " def\n";
+     out << "/arrowWidth " << arrowWidth << " def\n\n";
+ }
+ #endif
  
  void PSIdraw::LineProc (ostream& out) {
      out << "/Line {\n";
diff -cNr ivtools-0.6.orig/src/UniIdraw/idcomp.h ivtools-0.6/src/UniIdraw/idcomp.h
*** ivtools-0.6.orig/src/UniIdraw/idcomp.h	Fri Feb 28 08:41:43 1997
--- ivtools-0.6/src/UniIdraw/idcomp.h	Wed Jan 28 20:32:09 1998
***************
*** 61,66 ****
--- 61,69 ----
  
      virtual void ArrowHeader(ostream&);
      virtual void ConstProcs(ostream&);
+ #ifdef PS_FIX
+     virtual void IdrawDictPreamble(ostream&);
+ #endif
      virtual void GridSpacing(ostream&);
      virtual void LineProc(ostream&);
      virtual void MultiLineProc(ostream&);
